| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Gaudi::RootRef Struct Reference

Persistent reference object. More...

`#include <RootCnv/RootRefs.h>`

## Public Member Functions
| RootRef ()
| Standard constructor. More...
| RootRef (const RootRef &c)=default
| Copy constructor. More...
RootRef & | operator= (const RootRef &c)=default
| Assignment operator. More...
void | reset ()
| Reset data content. More...

## Public Attributes
int | dbase
| Data members to define object location in the persistent world. More...
int | container
int | link
int | clid
int | svc
int | entry

## Detailed Description

Persistent reference object.

Author
  M.Frank

Version
  1.0

Definition at line 31 of file RootRefs.h.

## Constructor & Destructor Documentation

Gaudi::RootRef::RootRef | ( |  | ) |
| inline

Standard constructor.

Definition at line 35 of file RootRefs.h.

35 { this->reset(); }
Gaudi::RootRef::reset
void reset()
Reset data content.
Definition: RootRefs.h:41

Gaudi::RootRef::RootRef | ( | const RootRef & | c | ) |
| default

Copy constructor.

## Member Function Documentation

RootRef& Gaudi::RootRef::operator= | ( | const RootRef & | c | ) |
| default

Assignment operator.

void Gaudi::RootRef::reset | ( |  | ) |
| inline

Reset data content.

Definition at line 41 of file RootRefs.h.

42 {
43 dbase = -1;
44 container = -1;
45 link = -1;
46 entry = -1;
47 svc = 1;
48 clid = 1;
49 }
Gaudi::RootRef::container
int container
Definition: RootRefs.h:33
Gaudi::RootRef::entry
int entry
Definition: RootRefs.h:33
Gaudi::RootRef::dbase
int dbase
Data members to define object location in the persistent world.
Definition: RootRefs.h:33
Gaudi::RootRef::clid
int clid
Definition: RootRefs.h:33
Gaudi::RootRef::link
int link
Definition: RootRefs.h:33
Gaudi::RootRef::svc
int svc
Definition: RootRefs.h:33

## Member Data Documentation

int Gaudi::RootRef::clid

Definition at line 33 of file RootRefs.h.

int Gaudi::RootRef::container

Definition at line 33 of file RootRefs.h.

int Gaudi::RootRef::dbase

Data members to define object location in the persistent world.

Definition at line 33 of file RootRefs.h.

int Gaudi::RootRef::entry

Definition at line 33 of file RootRefs.h.

int Gaudi::RootRef::link

Definition at line 33 of file RootRefs.h.

int Gaudi::RootRef::svc

Definition at line 33 of file RootRefs.h.

The documentation for this struct was generated from the following file:

- RootCnv/RootCnv/RootRefs.h